shishi_kdc_copy_cname(3)

NAME
shishi_kdc_copy_cname - API function

SYNOPSIS
#include <shishi.h>

int shishi_kdc_copy_cname(Shishi * handle, Shishi_asn1 kdcrep, Shishi_asn1 encticketpart);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 kdcrep
    KDC-REQ to read cname from.

Shishi_asn1 encticketpart
    EncTicketPart to set cname in.

DESCRIPTION
Set cname in KDC-REP to value in EncTicketPart.

RETURN VALUE
Returns SHISHI_OK if successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.